<?php
/**
 *
 * @package       phpBB Extension - S3
 * @copyright (c) 2017 Austin Maddox
 * @license       http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

$lang = array_merge($lang, [
	'ACP_S3'               => 'Ajustes',
	'ACP_S3_SETTING_SAVED' => '¡Los ajustes han sido guardados correctamente!',

	'ACP_S3_ACCESS_KEYS_EXPLAIN' => 'Para enviar con éxito solicitudes a las API de AWS, debe tener un conjunto válido de credenciales de seguridad denominado
	<strong>claves de acceso</strong>. Para obtener más información acerca de las claves de acceso de AWS, visite la página <a href="https://aws.amazon.com/developers/access-keys/"
		   target="_blank">About Access Keys</a> en la documentación del desarrollador.',

	'ACP_S3_AWS_ACCESS_KEY_ID'         => 'ID de clave de acceso AWS',
	'ACP_S3_AWS_ACCESS_KEY_ID_EXPLAIN' => 'Introduzca su ID de clave de acceso AWS para S3, por ejemplo: <samp>AKIAIOSFODNN7EXAMPLE</samp>.',
	'ACP_S3_AWS_ACCESS_KEY_ID_INVALID' => '“%s” no es una ID de clave de acceso AWS válida. Debe ser una combinación de letras mayúsculas y/o números y exactamente 20 caracteres.<br>Específicamente, debe coincidir con la expresión regular <code>/[A-Z0-9]{20})/</code>',

	'ACP_S3_AWS_SECRET_ACCESS_KEY'         => 'Clave de acceso secreto AWS',
	'ACP_S3_AWS_SECRET_ACCESS_KEY_EXPLAIN' => 'Introduzca su Clave de acceso secreto AWS para S3, por ejemplo: <samp>wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY</samp>.',
	'ACP_S3_AWS_SECRET_ACCESS_KEY_INVALID' => '“%s” no es una clave de acceso secreta AWS válida. Debe ser una combinación de letras y/o números, barras diagonales (/), signos más (+), signos igual (=), y exactamente 40 caracteres.<br>Específicamente, debe coincidir con la expresión regular <code>/[A-Za-z0-9\/+=]{40}/</code>',

	'ACP_S3_REGION'         => 'Región AWS S3',
	'ACP_S3_REGION_EXPLAIN' => 'Introduzca su región S3 donde reside su cubo, por ejemplo: <samp>us-west-2</samp>.',
	'ACP_S3_REGION_INVALID' => 'Debe introducir una región S3 válida. Para obtener una lista de las regiones soportadas por Amazon S3, vea la documentación aquí: http://docs.aws.amazon.com/general/latest/gr/rande.html.',

	'ACP_S3_BUCKET'         => 'Cubo AWS S3',
	'ACP_S3_BUCKET_EXPLAIN' => 'Introduzca el nombre de su Cubo S3, por ejemplo: <samp>example-bucket</samp>. El cubo ya debe estar creado en su cuenta de AWS.',
	'ACP_S3_BUCKET_INVALID' => 'Debe introducir un cubo S3 válido. Para obtener ayuda para trabajar con cubos de Amazon S3, vea la documentación aquí: http://docs.aws.amazon.com/AmazonS3/latest/dev/UsingBucket.html',

	'ACP_S3_IS_ENABLED'         => '¿Está habilitada la extensión?',
	'ACP_S3_IS_ENABLED_EXPLAIN' => 'Muestra si la extensión está habilitada o no, y utilizará S3 para cargar y entregar sus archivos adjuntos.',
]);
